load("@io_bazel_rules_go//go:def.bzl", "go_binary")

go_binary(
    name = "frontend_dist_action",
    srcs = ["frontend_dist_action.go"],
    importpath = "github.com/Eriyc/rules_wails/wails_bun/tools/frontend_dist_action",
    pure = "off",
    visibility = ["//visibility:public"],
)

go_binary(
    name = "bun_dev_session",
    srcs = ["bun_dev_session.go"],
    importpath = "github.com/Eriyc/rules_wails/wails_bun/tools/bun_dev_session",
    pure = "off",
    visibility = ["//visibility:public"],
)

go_binary(
    name = "frontend_dev_server",
    srcs = ["frontend_dev_server.go"],
    importpath = "github.com/Eriyc/rules_wails/wails_bun/tools/frontend_dev_server",
    pure = "off",
    visibility = ["//visibility:public"],
)
